This API returns the applications assigned to a role. Pagination is supported on this endpoint.
Resource URL
https://<subdomain>.onelogin.com/api/2/roles/:id/appsHeader Parameters
Authorization required string | Set to Set The access token must have been generated using an API credential pair created using the scope required to call this API. This API can be called using any one of the following scopes: |
Request Parameters
assigned boolean | Optional. Defaults to true. Returns all apps not yet assigned to the role. |
Sample Responses
- 200 OK
- 401 Unauthorized
- 404 Not Found
{
"id": 345,
"name": "Dropbox",
"icon_url": "testurl.com",
}Typically, this error means that your access token value is invalid.
{
"message": "Unauthorized",
"statusCode": 401,
"name": "UnauthorizedError"
}{
"message": "The resource with the given id could not be found",
"statusCode": 404,
"name": "NotFoundError"
}Postman Collection
Sample Code
cURL
Replace sample values indicated by < > with your actual values.
Get Role Apps
curl 'https://<subdomain>.onelogin.com/api/2/roles/:id/apps' \
-X GET \
-H "Authorization: bearer <access_token>"Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.